package com.lightsky.monitor

import android.app.Activity
import android.graphics.Color
import android.view.Choreographer
import android.view.ViewGroup




/**
 * Created by xupengpai on 2021/1/6.
 */
class FirstFrameUtils {
    companion object{

        @JvmStatic fun inject(activity: Activity, callback: Choreographer.FrameCallback){
            val view = FirstFrameView(activity)
            val layoutParams = ViewGroup.LayoutParams(1, 1)
            view.setBackgroundColor(Color.TRANSPARENT)
            view.layoutParams = layoutParams
            view.frameCallback = callback
            (activity.window.decorView as ViewGroup).addView(view, 0)
        }
    }
}